package com.qmth.themis.business.service;

import com.qmth.themis.business.dto.WarningDto;

/**
 * @Description: 预警规则公用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public interface WarningService {

    /**
     * 人脸数量异常
     *
     * @param warningDto
     */
    public void faceCountError(WarningDto warningDto);

    /**
     * 人脸比对异常
     *
     * @param warningDto
     */
    public void faceCompareError(WarningDto warningDto);

    /**
     * 闭眼检测异常
     *
     * @param warningDto
     */
    public void eyeCloseError(WarningDto warningDto);

    /**
     * 真实性异常
     *
     * @param warningDto
     */
    public void realnessError(WarningDto warningDto);

    /**
     * 活检动作错误异常
     *
     * @param warningDto
     */
    public void livenessActionError(WarningDto warningDto);
}
